<template>
  <div id="student_submit_manage">
    <!-- 학생 문제 출제 관리 -->
    <div v-if="ifOpen || ifMod">
      
      <!-- <el-row>
        <el-col :span="12"> -->
          <h3 v-if="ifOpen">{{ $t('ASSIGNMENT.CRR_STTS') }} - {{ $t('ASSIGNMENT.SUBMIT') }}</h3>
          <h3 v-if="ifMod">{{ $t('ASSIGNMENT.CRR_STTS') }} - {{ $t('ASSIGNMENT.ASS_MOD') }}</h3>
          <br />
          <div >
            <el-form>
              <el-form-item :label="$t('ASSIGNMENT.DUR_EXAM_SET')" v-if="ifMod===false"> <!-- 출제 기간 -->
                <el-date-picker v-model="homeworkStart" type="datetime" :disabled="true"></el-date-picker>
                  ~  
                <el-date-picker v-model="homeworkEnd" type="datetime" :disabled="true"></el-date-picker>
              </el-form-item>
              <el-form-item :label="$t('ASSIGNMENT.DUR_EXAM_SET')" v-if="ifMod"> <!-- 출제 기간 -->
                <el-date-picker v-model="homeworkStart" type="datetime"></el-date-picker>
                  ~  
                <el-date-picker v-model="homeworkEnd" type="datetime"></el-date-picker>
              </el-form-item>

              <el-form-item :label="$t('ASSIGNMENT.DUR_EVAL')" v-if="ifMod===false"> <!-- 평가 기간 -->
                <el-date-picker v-model="scoringStart" type="datetime" :disabled="true"></el-date-picker>
                  ~  
                <el-date-picker v-model="scoringEnd" type="datetime" :disabled="true"></el-date-picker>
              </el-form-item>

              <el-form-item :label="$t('ASSIGNMENT.DUR_EVAL')" v-if="ifMod"> <!-- 평가 기간 -->
                <el-date-picker v-model="scoringStart" type="datetime"></el-date-picker>
                  ~  
                <el-date-picker v-model="scoringEnd" type="datetime"></el-date-picker>
              </el-form-item>

              <el-form-item :label="$t('ASSIGNMENT.CRSS_EVAL_NUM')" v-if="evalSelect === 0 && ifMod === false"> <!-- 교차 평가 수 -->
                <el-input-number v-model="evaluatedCnt" :disabled="true"></el-input-number>
              </el-form-item>

              <el-form-item :label="$t('ASSIGNMENT.CRSS_EVAL_NUM_PERCN')" v-if="evalSelect === 1 && ifMod === false"> <!-- 교차 평가 수 (백분율) -->
                <el-input-number v-model="evaluatedCnt" :disabled="true"></el-input-number> %
              </el-form-item>

              <el-form-item :label="$t('ASSIGNMENT.CRSS_EVAL_NUM')" v-if="evalSelect === 0 && ifMod"> <!-- 교차 평가 수 -->
                <el-input-number v-model="evaluatedCnt"></el-input-number>
              </el-form-item> 

              <el-form-item :label="$t('ASSIGNMENT.CRSS_EVAL_NUM_PERCN')" v-if="evalSelect === 1 && ifMod"> <!-- 교차 평가 수 (백분율) -->
                <el-input-number v-model="evaluatedCnt"></el-input-number> %
              </el-form-item>

              <el-form-item :label="$t('ASSIGNMENT.ASS_MAX_SCORE')" > <!-- 교차 평가 최대 점수 -->
                <el-input-number v-model="maxScore" :disabled="true"></el-input-number> 
              </el-form-item>
            </el-form>
            <el-switch v-model="comment" :inactive-text="$t('ASSIGNMENT.NOT_COMMENT')" :active-text="$t('ASSIGNMENT.YES_COMMENT')"/>
            <el-row>
              <el-button v-if="!ifMod" type="primary" style="float: right;" @click="onClick('DEL_SS')">{{ $t('ASSIGNMENT.DLT_ASSIGN') }}</el-button>
              <el-button v-if="!ifMod" type="primary" style="float: right; margin-right: 10px" @click="onClick('MOD_SS')">{{ $t('ASSIGNMENT.ASS_MOD') }}</el-button>
              <el-button v-if="ifMod" type="primary" style="float: right;" @click="onClick('MOD_SS_END')">{{ $t('ASSIGNMENT.ASS_MOD_FIN') }}</el-button>
            </el-row>
          </div>
          <br><br><br>
        <!-- </el-col>
        <el-col :span="12"> -->
          <el-tabs>
            <el-tab-pane :label="$t('ASSIGNMENT.NOT_ASGN')">
              <el-table :data="notSubmitStudentList" height="330px">
                <el-table-column :label="$t('REG.NAME_LABEL')" prop="name" />
                <el-table-column :label="$t('REG.EMAIL_LABEL')" prop="email" />
              </el-table>
            </el-tab-pane>
            <el-tab-pane :label="$t('ASSIGNMENT.NOT_EVAL')">
              <el-table :data="notScoringStudentList" height="330px">
                <el-table-column :label="$t('REG.NAME_LABEL')" prop="name" />
                <el-table-column :label="$t('REG.EMAIL_LABEL')" prop="email" />
              </el-table>
            </el-tab-pane>
          </el-tabs>
        <!-- </el-col>
      </el-row> -->
      <div style="height: 50px;" />
      <el-table ref="multipleTable" :data="studentQuestion" @selection-change="handleSelectionChange">
        <el-table-column :label="$t('REG.NAME_LABEL')" prop="name" width="100px" />
        <el-table-column :label="$t('REG.EMAIL_LABEL')" prop="email" width="250px" />
        <el-table-column :label="$t('ASSIGNMENT.QUES_NAME')" prop="title" />
        <el-table-column :label="$t('ASSIGNMENT.FILE_ATTCH')" prop="fileCnt" width="80px"/>
        <el-table-column :label="$t('ASSIGNMENT.EVAL_SCORE')" prop="score" width="80px" />
        <el-table-column :label="$t('ASSIGNMENT.EVAL_PRSN')" prop="scoreCnt" width="80px" />
        <el-table-column width="120px">
          <template slot-scope="scope">
            <el-button @click="questionShow(scope.row)">{{ $t('ITEM.PREVIEW') }}</el-button>
          </template>
        </el-table-column>
        <el-table-column type="selection" width="55"></el-table-column>
      </el-table>
      <br>
      <div style="float: right; margin-bottom: 20px;">
        <el-select v-model="selectGroup" :placeholder="$t('ITEM_FROM_BANK.SELECT_GROUP')">
          <el-option v-for="item in group" :key="item.group_id" :label="item.name" :value="item.group_id"></el-option>
        </el-select>
        <el-button type="primary" @click="toBank">{{ $t('ASSIGNMENT.MV_TO_BANK') }}</el-button>
        <el-button @click="studentEvaluationDownload">{{ $t('ASSIGNMENT.EVAL_RESULT') }}</el-button>
      </div>
      <el-dialog
        :title="$t('ITEM.PREVIEW')"
        :visible.sync="dialogVisible"
        :before-close="handleClose"
        center
        width="30%">
        <lecture-live-item
          :data="lectureItem"
          :onClick="onClick"
          :answerSubmitted="isSubmitted"
          type="TEACHER"/>
        <span slot="footer" class="dialog-footer">
          <el-button @click="handleClose">{{ $t('DASHBOARD.QUIT') }}</el-button>
        </span>
      </el-dialog>
      <el-dialog
        :title="$t('ITEM.PREVIEW')"
        :visible.sync="dialogVisibleFile"
        :before-close="handleClose"
        center
        width="30%">
        <template v-for="(item,index) in fileList">
          <div :key="item">
            <el-button @click="download(index)">{{ item.file_name}}</el-button>
          </div>
        </template>
        <youtube
          v-if="youtubeURL !== undefined && youtubeURL !== ''"
          player-width="100%"
          id="video"
          :video-id="youtubeId(youtubeURL)"
          :player-vars="{ autoplay: 1, modestbranding: 1 }"
        />
        <span slot="footer" class="dialog-footer">
          <el-button @click="handleClose">{{ $t('DASHBOARD.QUIT') }}</el-button>
        </span>
      </el-dialog>
    </div>
    
    <!-- 과제 미등록 -->
    <div v-else style="margin-left: 30px;">
      <h3>{{ $t('ASSIGNMENT.CRR_STTS') }} - {{ $t('ASSIGNMENT.NOT_SUBMIT') }}</h3>
      <br />
      <el-switch v-model="ifMake" :inactive-text="$t('ASSIGNMENT.NOT_SUBMIT')" :active-text="$t('ASSIGNMENT.SUBMIT')" @change="checkK()"/>
      <div style="height: 30px;" />
      <div v-if="ifMake">
        <el-form>
          <el-form-item :label="$t('ASSIGNMENT.DUR_EXAM_SET')">
            <el-date-picker v-model.lazy="homeworkStart" type="datetime" :placeholder="$t('ASSIGNMENT.SUBMIT_START')"></el-date-picker>
              ~  
            <el-date-picker v-model.lazy="homeworkEnd" type="datetime" :placeholder="$t('ASSIGNMENT.SUBMIT_END')"></el-date-picker>
          </el-form-item>

          <el-form-item :label="$t('ASSIGNMENT.DUR_EVAL')">
            <el-date-picker v-model.lazy="scoringStart" type="datetime" :placeholder="$t('ASSIGNMENT.EVALUATE_START')"></el-date-picker>
              ~  
            <el-date-picker v-model.lazy="scoringEnd" type="datetime" :placeholder="$t('ASSIGNMENT.EVALUATE_END')"></el-date-picker>
          </el-form-item>

          <el-form-item :label="$t('ASSIGNMENT.CRSS_EVAL_NUM')">
            <el-radio-group v-model.lazy="evalSelect">
              <el-radio :label="0">{{ $t('ASSIGNMENT.NUMBER') }}</el-radio>
              <el-radio :label="1">{{ $t('ASSIGNMENT.PERCN') }}</el-radio>
            </el-radio-group>
          </el-form-item>
          
          <el-form-item v-if="evalSelect === 0">
            <el-input-number v-model.lazy="evaluatedCnt" :min="1" :max="100"></el-input-number>
          </el-form-item>

          <el-form-item v-if="evalSelect === 1">
            <el-slider
              style="width: 60%;"
              v-model.lazy="evaluatedCnt" show-input :min="1"></el-slider>
          </el-form-item>

          <el-form-item :label="$t('ASSIGNMENT.ASS_MAX_SCORE')">
            <br />
            <el-input-number v-model.lazy="maxScore" :min="5" :max="100"></el-input-number>
          </el-form-item>         
        </el-form>
        <el-switch v-model="comment" :inactive-text="$t('ASSIGNMENT.NOT_COMMENT')" :active-text="$t('ASSIGNMENT.YES_COMMENT')" @change="checkC()"/>
      <el-button type="primary" style="float: right;" @click="onClick('NEW_SS')">{{ $t('ASSIGNMENT.SUBMIT') }}</el-button>
      </div>
    </div>
  </div>
</template>

<script>
import deepCopy from 'deep-copy';
import { getIdFromURL } from 'vue-youtube-embed';
// import axios from 'axios';
// import fileDownload from 'js-file-download';
import lectureService from '../../services/lectureService';
import LectureLiveItem from '../partials/LectureLiveItem';
import bankService from '../../services/bankService';
import downloadService from '../../services/downloadService';
import { baseUrl } from '../../services/config';

export default {
  name: 'StudentSubmitManage',
  components: {
    LectureLiveItem,
  },
  computed: {
    lectureId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.lectureId, 10);
    },
  },
  data() {
    return {
      ifOpen: '', // true면 데이터 있음 - 삭제만 가능, false면 데이터 없음 - 생성만 가능
      ifMake: false, // true면 출제 허용하기
      ifMod: false, // true면 문제 수정하기
      homeworkStart: '',
      homeworkEnd: '',
      scoringStart: '',
      scoringEnd: '',
      studentQuestion: [], // 학생이 만든 문제들
      notSubmitStudentList: [], // 아직 숙제 내지 않은 학생들 명단
      notScoringStudentList: [], // 아직 평가하지 않은 학생들 명단
      dialogVisible: false,
      dialogVisibleFile: false,
      lectureItem: undefined,
      isSubmitted: false,
      evaluatedCnt: 1,
      isCommittee: false,
      fileList: [],
      multipleSelection: [], // 은행에 저장할 아이템 선택
      group: [], // 강사 은행 그룹 리스트
      selectGroup: '', // 선택한 은행 그룹
      evalSelect: 0, // 교차 평가 - 0: 자연수로 선택 1: 백분율로 선택
      youtubeURL: '',
      maxScore: null,
      comment: false,
    };
  },
  // 페이지 로딩시 강의자료와 키워드들 불러오기
  async mounted() {
    const vm = this;
    // 은행 저장용 내 그룹 받아오기
    const myg = await bankService.getMyGroup();
    vm.group = myg.data.groupList;
    const std_sub = await lectureService.loadStudentSubmit({
      lectureId: vm.$route.params.lectureId,
    });
    vm.ifOpen = std_sub.data.success; // 데이터가 있는지 없는지
    if (vm.ifOpen === true) {
      // 데이터가 있다면
      vm.homeworkStart = std_sub.data.result.homeworkStartAt;
      vm.homeworkEnd = std_sub.data.result.homeworkEndAt;
      vm.scoringStart = std_sub.data.result.scoringStartAt;
      vm.scoringEnd = std_sub.data.result.scoringEndAt;
      vm.evalSelect = std_sub.data.result.evalSelect;
      vm.evaluatedCnt = std_sub.data.result.evaluated_cnt;
      vm.evalSelect = std_sub.data.result.eval_select;
      vm.maxScore = std_sub.data.result.max_score;
      vm.comment = std_sub.data.result.comment;

      // 과제 제출 안 한 학생들 리스트 만들기
      const not_sub_home = await lectureService.notSubmitHomework({
        lectureId: vm.$route.params.lectureId,
      });
      not_sub_home.data.forEach((x) => {
        if (x.type === 0) { // 학생인 경우에만
          const tmp = {};
          tmp.name = x.name;
          tmp.email = x.email_id;
          vm.notSubmitStudentList.push(tmp);
        }
      });

      // 평가 안 한 학생들 리스트 만들기
      const not_score_home = await lectureService.notScoringHomework({
        lectureId: vm.$route.params.lectureId,
      });
      not_score_home.data.forEach((x) => {
        if (x.type === 0) { // 학생인 경우에만
          const tmp = {};
          tmp.name = x.name;
          tmp.email = x.email_id;
          vm.notScoringStudentList.push(tmp);
        }
      });

      // 학생이 제출한 문제 리스트
      const std_sub_res = await lectureService.loadStudentSubmitResult({
        lectureId: vm.$route.params.lectureId,
      });
      for (let i = 0; i < std_sub_res.data.length; i += 1) {
        const x = std_sub_res.data[i];
        const tmp = {};
        tmp.id = x.student_question_id;
        tmp.name = x.name;
        tmp.email = x.email_id;
        const std_ques = await lectureService.studentQuestion({ // eslint-disable-line
          lectureId: vm.$route.params.lectureId,
          questionId: x.student_question_id,
        });   
        tmp.title = std_ques.data.name;
        tmp.data = std_ques.data;
        // 평균 점수가 null 또는 0으로 표시 -> '평가 없음'
        // std_ques.data.length === 0 ||
        if ( std_ques.data.scoring_avg === 0 || std_ques.data.scoring_avg === null) {
          tmp.score = vm.$t('STUDENT_ASSIGNMENT.NO_EVAL');
        } else {
          tmp.score = std_ques.data.scoring_avg.toFixed(2);
          tmp.scoreCnt = std_ques.data.scoring_cnt;
        }
        tmp.fileCnt = `${std_ques.data.fileCnt}`;
        vm.studentQuestion.push(tmp);
      }
    }
  },
  methods: {
    async studentEvaluationDownload() {
      const vm = this;
      const { name, content } = (await downloadService.studentEvaluationDownload(vm.lectureId)).data;
      const BLOB = new Blob(['\ufeff' + content], {
        type: 'text/csv;charset=EUC-KR;'
      });

      if (navigator.appVersion.toString().indexOf('.NET') > 0) {
        window.navigator.msSaveBlob(BLOB, name);
      } else {
        const ENCODED_URL = URL.createObjectURL(BLOB);
        const LINK = document.createElement('a');
        LINK.setAttribute('href', ENCODED_URL);
        LINK.setAttribute('download', name);
        LINK.click();
      }
    },
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
    youtubeId(URL) {
      return URL !== undefined ? getIdFromURL(URL) : '';
    },
    async checkK() {
      const vm = this;
      const leck = await lectureService.getLectureKeywords({
        lectureId: vm.$route.params.lectureId,
      });
      const kl = leck.data.length;
      if (vm.ifMake === true && kl === 0) {
        this.$notify({
          title: vm.$t('ITEM.NOKEYWORD'),
          message: vm.$t('ITEM.NOKEYMES'),
          type: 'error',
        });
        vm.ifMake = false;
      }
    },
    async onClick(type) {
      const vm = this;
      switch (type) {
        case 'NEW_SS': {
          if (vm.homeworkStart === '' || vm.homeworkEnd === '' || vm.scoringStart === '' || vm.scoringEnd === '') {
            // 비어있는 시간이 있을 경우
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.FILL_ALL_FOUR_ITEM'),
              type: 'warning',
            });
            break;
          }
          if (vm.homeworkStart >= vm.homeworkEnd) {
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.LATER_DEAD_START'),
              type: 'warning',
            });
            break;
          }
          if (vm.homeworkEnd >= vm.scoringStart) {
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.LATER_EVAL_QUS'),
              type: 'warning',
            });
            break;
          }
          if (vm.scoringStart >= vm.scoringEnd) {
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.LATER_EDEAD_ESTART'),
              type: 'warning',
            });
            break;
          }
          const hs = new Date(vm.homeworkStart).toISOString();
          const he = new Date(vm.homeworkEnd).toISOString();
          const ss = new Date(vm.scoringStart).toISOString();
          const se = new Date(vm.scoringEnd).toISOString();
          await lectureService.registerStudentSubmit2({
            lectureId: vm.$route.params.lectureId,
            homeworkStartAt: hs,
            homeworkEndAt: he,
            scoringStartAt: ss,
            scoringEndAt: se,
            evaluatedCnt: vm.evaluatedCnt,
            evalSelect: vm.evalSelect, // 0 이면 자연수 1이면 백분율
            maxScore: vm.maxScore,
            comment: vm.comment,
          });
          vm.$notify({
            title: vm.$t('NOTIFY.HOMEWORK_REG'),
            message: vm.$t('NOTIFY.QUES_ASSGN_UP'),
            type: 'success',
          });
          vm.ifOpen = true;
          break;
        }
        case 'DEL_SS': {
          // 출제 허용 초기화
          lectureService.deleteStudentSubmit({
            lectureId: vm.$route.params.lectureId,
          });
          vm.$notify({
            title: vm.$t('NOTIFY.HOMEWORK_DEL'),
            message: vm.$t('NOTIFY.QUES_ASSGN_DLT'),
            type: 'success',
          });
          vm.homeworkStart = '';
          vm.homeworkEnd = '';
          vm.scoringStart = '';
          vm.scoringEnd = '';
          vm.ifOpen = false;
          vm.ifMake = false;
          vm.notSubmitStudentList = [];
          vm.notScoringStudentList = [];
          vm.studentQuestion = [];
          vm.evalSelect = 0;
          break;
        }
        case 'MOD_SS': {
          // 과제 수정
          vm.ifMod = true;
          vm.ifOpen = false;
          break;
        }
        case 'MOD_SS_END': {
          // 과제 수정 완료
          if (vm.homeworkStart === '' || vm.homeworkEnd === '' || vm.scoringStart === '' || vm.scoringEnd === '') {
            // 비어있는 시간이 있을 경우
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.FILL_ALL_FOUR_ITEM'),
              type: 'warning',
            });
            break;
          }
          if (Date.parse(vm.homeworkStart) >= Date.parse(vm.homeworkEnd)) {
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.LATER_DEAD_START'),
              type: 'warning',
            });
            break;
          }
          if (Date.parse(vm.homeworkEnd) >= Date.parse(vm.scoringStart)) {
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.LATER_EVAL_QUS'),
              type: 'warning',
            });
            break;
          }
          if (Date.parse(vm.scoringStart) >= Date.parse(vm.scoringEnd)) {
            vm.$notify({
              title: vm.$t('NOTIFY.TIME_SET_ERR'),
              message: vm.$t('NOTIFY.LATER_EDEAD_ESTART'),
              type: 'warning',
            });
            break;
          }
          await lectureService.deleteStudentSubmit({
            lectureId: vm.$route.params.lectureId,
          });
          const hs = new Date(vm.homeworkStart).toISOString();
          const he = new Date(vm.homeworkEnd).toISOString();
          const ss = new Date(vm.scoringStart).toISOString();
          const se = new Date(vm.scoringEnd).toISOString();
          // await lectureService.registerStudentSubmit({
          //   lectureId: vm.$route.params.lectureId,
          //   homeworkStartAt: hs,
          //   homeworkEndAt: he,
          //   scoringStartAt: ss,
          //   scoringEndAt: se,
          //   evaluatedCnt: vm.evaluatedCnt,
          //   evalSelect: vm.evalSelect, // 0 이면 자연수 1이면 백분율
          // });
          await lectureService.registerStudentSubmit2({
            lectureId: vm.$route.params.lectureId,
            homeworkStartAt: hs,
            homeworkEndAt: he,
            scoringStartAt: ss,
            scoringEndAt: se,
            evaluatedCnt: vm.evaluatedCnt,
            evalSelect: vm.evalSelect, // 0 이면 자연수 1이면 백분율
            maxScore: vm.maxScore,
            comment: vm.comment,
          });
          vm.$notify({
            title: vm.$t('NOTIFY.HOMEWORK_MOD'),
            message: vm.$t('NOTIFY.QUES_ASSGN_MOD'),
            type: 'success',
          });
          vm.ifOpen = true;
          vm.ifMod = false;
          break;
        }
        default : {
          break;
        }
      }
    },
    handleClose() {
      const vm = this;
      vm.dialogVisible = false;
      vm.dialogVisibleFile = false;
      vm.lectureItem = undefined;
    },
    async questionShow(data) {
      const vm = this;
      // 해당 문항을 deepCopy로 가져옴
      const ddl = deepCopy(data);
      const thisItem = {};
      thisItem.questions = [];
      thisItem.questions.push(ddl.data);
      thisItem.questions[0].student_answer_logs = [];
      thisItem.type = 0;
      if (ddl.data.type == 0) { // 객관식일 경우
        if (ddl.data.choice.length > 0) {
          const splitChoice = ddl.data.choice.split('<$!<>');
          thisItem.questions[0].choice = splitChoice;
        }
        vm.lectureItem = thisItem;
        vm.dialogVisible = true;
      } else if (ddl.data.type == 2) { // 파일 형일 경우
        const files = await lectureService.studentQuestionFileList({
          questionId: ddl.data.student_question_id, lectureId: ddl.data.lecture_id,
        });
        vm.fileList = files.data;
        vm.lectureItem = thisItem;
        vm.youtubeURL = vm.lectureItem.questions[0].answer;
        vm.dialogVisibleFile = true;
      } else {
        vm.lectureItem = thisItem;
        vm.dialogVisible = true;
      }
    },
    async download(index) {
      const vm = this;
      const obj = vm.fileList[index];
      window.open(obj.file_url);
    },
    // 선택한 아이템들 은행으로 이동
    async toBank() {
      const vm = this;
      if (vm.multipleSelection.length === 0) {
        vm.$notify({
          title: vm.$t('NOTIFY.ERROR'),
          message: vm.$t('NOTIFY.SLCT_ITEM_IN_BANK'),
          type: 'warning',
        });
        return;
      }
      if (vm.selectGroup === '') {
        vm.$notify({
          title: vm.$t('NOTIFY.ERROR'),
          message: vm.$t('NOTIFY.SLCT_GRP_SAV_ITEM'),
          type: 'warning',
        });
        return;
      }
      for (let i = 0; i < vm.multipleSelection.length; i += 1) {
        const x = vm.multipleSelection[i].id;
        await bankService.studentItemToBank({ // eslint-disable-line
          lecture_item_id: x,
          group_id: vm.selectGroup,
        });
      }
    },
  },
};
</script>